
import React from "react";
import { Link } from "react-router-dom";
import { Col, Row, Card, Button } from "react-bootstrap";
import { discountedProductList } from "data/discountedProductList";

class DiscountedProductsList extends React.Component {
    render() {
      return (
         <Row>  
         
         {discountedProductList.map((productItem, index) => (
          <Col xl={4} lg={4} md={4} sm={6} xs={12}>
            <Card className="product-card">
              <Row className="card-inner-row">
                <Col xs={6} md={6}>
                  <Link to="/product-details">
                    {" "}
                    <img
                      className="product-image"
                      src={productItem.img}
                      alt="shopStick"
                    />{" "}
                  </Link>
                </Col>
                <Col xs={6} md={6} className="product-details">
                  <div className="rating-content">
                    <span className="span">
                      <img
                        className="rating-image"
                        src={process.env.PUBLIC_URL + "/images/star.png"}
                        alt="shopStick"
                      />
                    </span>
                    <span className="span">
                    <p className="rating">{productItem.rating}</p>
                    </span>
                    <span className="span">
                      <img
                        className="like"
                        src={process.env.PUBLIC_URL + "/images/like.png"}
                        alt="shopSticke"
                      />
                    </span>
                  </div>
                  <span>
                    <p className="product-name">{productItem.name}</p>
                    <p className="product-quantity">{productItem.quantity}</p>
                  </span>
                  <span>
                   <p className="product-price discount-price">{productItem.price}</p>
                    &nbsp;
                    &nbsp;
                  <p className="old-price discount-price">{productItem.oldprice}</p>
                    <Button
                      className="cart-button btn-primary"
                      variant="primary"
                    >
                      <span className="cart">
                        <img
                          className="cart-image"
                          src={process.env.PUBLIC_URL + "/images/cart-blue.png"}
                          alt="shopStick"
                        />
                      </span>
                      <span className="cart responsive-width">Add to Cart</span>
                    </Button>{" "}
                  </span>
                </Col>
              </Row>
            </Card>
          </Col>
        ))}
               
        </Row>
      );
    }
}

export default DiscountedProductsList;